#include <sys/types.h>
#include <unistd.h>
#include <stdio.h>

// The only way to create a new process is via fork(), which duplicates
// the current process. Parent and child are initially identical except
// for their process identifier and the return value of fork().

int main ()
{
	int i;
	i = 3;
	if (fork()) {
		// parent: return value is non-zero, contains child id
		while (1) { sleep(2); printf("[parent] hello %d\n",i++); }
	} else {
		// child: return value is zero
		while (1) { sleep(3); printf("[child] world %d\n",i++); }
	}
}
